Subject: Re: [MOBILE-IP] IPv6 mobile routers vs. regional mobility agents

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Wed, 29 Nov 2000 07:09:12 +1100

Hello Charlie

> Thanks for taking the time to read through these long e-mails.
>
        You're welcome, I can't resist an interesting discussion :)

> > > I think there's another way to look at this problem of
> > > mobile routers that offers a "better" solution.  It isn't
> > > the same problem as has been discussed in connection with
> > > hiearchical mobility agents.  It should not be solved by
> > > techniques associated with hierarchical mobility agents.
> > > Nor anchor points, if I may use that terminology.  A mobile
> > > router should not necessarily be considered an anchor point
> > > or a regional mobility agent.
> > >
> >         => First I'd like to clarify the situation where an anchor
> >         point is needed. Consider a Personal Area Network
> >         (PAN). When that network attaches via one or more
> >         routers on that PAN to a foreign network, it may not be
> >         possible to obtain a topologically correct preftx to allow
> >         this PAN to use topologically correct addresses.
>
> Maybe you're defining something other than a router.
> If the PAN router is a router, it should make router
> advertisements.  The router advertisements should allow
> nodes to attach to its network(s).  These advertisements
> could be used by mobile nodes that want to attach to the
> network over which the PAN router's advertisements are
> being transmitted.  I don't see that this should be
> different than normal.
>
        => I suspect we're talking about 2 different scenarios.
        I'm talking about a MR that has a home prefix.
        Sure it will send a router advertisement, but that will
        contain the Home prefix, unless of course it can get a
        topologically correct prefix from the visited network .
        In the latter case it wouldn't be different than normal,
        but I'm tryinto address the case where the MR gets
        an address on one interface while maintaining the Home
        prefix on the other interface.

> >         So this is the problem I assumed we were looking at
> >         in the previous thread. So the case is : the MN has
> >         physically moved but not topologically. It needs to map
> >         the physical movement into a topological one.
> >         No hierarchy is needed here. Just a topologically correct
> >         COA. It just happens that we can use an anchor point's
> >         address for that purpose. No hierarchy of anchor points
> >         is required. It is important to separate the two issues.
>
> Granted that it's important to separate the issues.  But your
> claim that the mobile nodes have to detect the movements of
> the mobile router that is serving them is, I think, suspect.
> It amounts to a transfer of responsibility from the mobile
> router to the nodes it is serving.  The disharmony of this
> approach is particularly evident when the nodes attached to
> the mobile router are NOT themselves mobile nodes.
>
        => I'm not sure I understand where the disharmony is.
        If the MNs (attached to the MR) can not receive a topologically
        correct router advertisement, they can't tell that they moved
        (if they were actually MNs). If they were not MNs, then something
        else is needed to route their packets from the Home prefix.
        Please note that I'm assuming that they are MNs (ie.
        have a MN implementation). For the other scenario
        please see my comments at the end of the mail.

> > > - With mobile routers, the mobile node "should" be using
> > >   the prefix of a home address of the mobile router as the
> > >   prefix by which it forms its own care-of address.  This
> > >   could be done independently of any sort of hierarchical
> > >   mobility agent architecture.  In other words, there doesn't
> > >   have to be any regional mobility agent at all to make
> > >   a mobile router work.
> > >
> >         => But as you say this would work while the MN is located
> >         at the home network.
>
> I thought it would work no matter where the MN was located.
> In this discussion, we have to be careful to distinguish between
> the MN's home network, and the mobile router's home network.
> It is likely that there are two home agents involved.
>
        => Agreed. If there are 2 HAs, then the problem is more
        complex. But if the MR advertises its COA and can act
        as an alt-COA for the MNs attached, then packets will
        always be routed to the MN in an optimal way. Even if there
        are 2 HAs

> > > To see this in another way, suppose that the mobile router
> > > has a fixed Ethernet attached to it.  The nodes on the
> > > "mobile network" do not run Mobile IPv6.  Why should they
> > > deal with any advertised care-of addresses from the mobile
> > > router?
> > >
> >         => The mobile router does not need to advertise a COA
> >         if it is located in the Home network. But when located in
> >         a foreign network it needs to advertise a COA.
> >         The reason for advertising a COA is to allow for route
> >         optimisation. Ie packets sent from the CN directly
> >         to the MR, and from there to the MN.
>
> This is what I am trying to say is wrong.  I also claim that
> it's a good illustration about how one might fashion a new
> sort of "redirect" message to allow such fixed nodes to do the
> right sort of "route optimization" that you allude to.
>
        => Why is this wrong ? If the prefix (on the PAN) is not
        topologically correct, then packets addressed to the nodes
        attached to the MR will not be delivered. So unless, a COA
        is given to these nodes, how can they receive packets ?
>             .........
>
> > > We would like for that data not to have to go through the
> > > home agent for the mobile router.  That means that the
> > > correspondent node should get information about the care-of
> > > address for the _mobile router_.  Then, the correspondent node
> > > could put in a routing header with _two_ care-of addresses.
> > > The first one would be the care-of address for the mobile
> > > router, and the second one would be the care-of address
> > > for the mobile node.
> > >
> >         => That's the situation we tried to avoid. In this case the MR
> >         and the CN have no knowledge of each other.
> >         In addition for them to know about each other additional
> >         security requirements are added. It would be simpler
> >         IMO if the end to end model of MIPv6 is maintained
> >         by using the MR's COA as an alt-COA for the MN.
> >         No additions to MIPv6 are required.
>
> I think that your approach is simpler in some cases if you
> disregard the security implications and the general routing
> model of Mobile IPv6.
>
        => The approach does not introduce any additional security
        requirements. Please elaborate on where the security
        problems may arise. Regarding the routing, this approach
        is identical to HMIPv6 and is equivalent to Reg in MIPv4.
        The whole point is to keep the aggregate routing in the
        backbone unchanged.

> I also point out again that it's not
> the endpoint that's moving, and in fact it's not the endpoint
> that should be considered to even have a care-of address.
> Things that live on their home network and don't move don't
> have care-of addresses.  Yet, with your scheme, they would.
>
        => Physical movement is not the only problem that I'm trying to
        solve. Consider the case where a MR which has a Home prefix
        suddenly shows up in a house network and starts advertising
        its Home prefix (which is not topologically correct). If I
understand
        you correctly you're saying that this MR is responsible for making
        sure that packets addressed to the devices attached to it
        (who just heard a new prefix) get there. What I'm saying is
        that this can be done by letting these devices know that this
        prefix is not topologically correct and giving them a topologically
        correct COA. But what you're saying is that the MR needs to
        make sure it can do this without informing those devices.
        Both can work. But the approach I mentioned will work today,
        and the one you mention needs a bit more work and new
        releationships between the MR and the CNs, which btw it
        doesn't know.

        The approach I mentioned will not work if the devices do not
        have a MN implementation. In this case I'd like to refer you
        to draft-ernst-mobileip-v6-network, which addresses that
        scenario and provides some interesting ideas.

        Regards,
        Hesham